export declare type ConstructorFunction<T> = {
    new (...args: any[]): T;
};
export interface ConstructorToPlainOptions {
    skipStartedWith: string;
}
export interface PlainToConstructorOptions {
    skipStartedWith: string;
}
export declare class ConstructorUtils {
    constructorToPlain<T>(object: T, options?: ConstructorToPlainOptions): any;
    plainToConstructorFromObject<T>(object: T, json: Object, options?: PlainToConstructorOptions): T;
    plainToConstructor<T>(cls: ConstructorFunction<T>, json: Object, options?: PlainToConstructorOptions): T;
    plainToConstructorArray<T>(cls: ConstructorFunction<T>, json: Object[], options?: PlainToConstructorOptions): T[];
    private getMethods(obj);
    private convert(cls, object, operationType, options?);
    private isSkipped(target, propertyName, operationType);
    private getType(target, propertyName, object);
    private getReflectedType(target, propertyName);
}
