/**
 * Specifies a type of the property.
 */
export declare function Type(typeFunction?: (type?: any) => Function): (target: any, key: string) => void;
/**
 * Specifies a type of the property. Property must be an array.
 */
export declare function ArrayType(typeFunction?: (type?: any) => Function): (target: any, key: string) => void;
/**
 * Marks property as skipped on the process of transformation. By default it skips the property for both
 * constructorToPlain and plainToConstructor transformations, however you can specify on which of transformation types
 * you want to skip this property.
 */
export declare function Skip(options?: {
    constructorToPlain?: boolean;
    plainToConstructor?: boolean;
}): (target: any, key: string) => void;
